/** @jsx jsx */
import { Global, jsx, css } from '@emotion/core';

export default () => (
  <Global
    styles={css`
      /**
      * DO NOT EDIT THIS FILE.
      * See the following change record for more information,
      * https://www.drupal.org/node/2815083
      * @preserve
      */

      /**
      * Generic elements.
      */

      html {
        font-family: BlinkMacSystemFont, -apple-system, 'Segoe UI', Roboto,
          Oxygen-Sans, Ubuntu, Cantarell, 'Helvetica Neue', sans-serif;
        font-size: 100%;
        font-weight: normal;
        font-style: normal;
        line-height: 1.5;
      }

      body {
        color: #222330;
        background: #fff;
      }

      a,
      .link {
        color: #003cc5;
      }

      a:hover,
      a:focus,
      .link:hover,
      .link:focus {
        text-decoration: none;
        outline: 0;
      }

      a:hover,
      .link:hover {
        color: #0036b1;
      }

      a:active,
      .link:active {
        color: #00339a;
      }

      hr {
        height: 1px;
        margin: 1rem 0;
        padding: 0;
        border: none;
        background: rgba(142, 146, 156, 0.5);
      }

      summary {
        font-weight: bold;
      }

      /**
      * Reusable heading classes are included to help modules change the styling of
      * headings on a page without affecting accessibility.
      */

      h1 {
        margin: 1rem 0 0.75rem;
        font-size: 2.027rem;
        font-weight: bold;
        line-height: 1.3;
      }

      h2 {
        margin: 1rem 0 0.75rem;
        font-size: 1.802rem;
        font-weight: bold;
        line-height: 1.3;
      }

      h3 {
        margin: 1rem 0 0.75rem;
        font-size: 1.602rem;
        font-weight: bold;
        line-height: 1.3;
      }

      h4 {
        margin: 1rem 0 0.75rem;
        font-size: 1.424rem;
        font-weight: bold;
        line-height: 1.3;
      }

      h5 {
        margin: 1rem 0 0.75rem;
        font-size: 1.266rem;
        font-weight: bold;
        line-height: 1.3;
      }

      h6 {
        margin: 1rem 0 0.75rem;
        font-size: 1.125rem;
        font-weight: bold;
        line-height: 1.3;
      }

      p {
        margin: 1em 0;
      }

      dl {
        margin: 0 0 20px;
      }

      dl dd,
      dl dl {
        margin-bottom: 10px;
        margin-left: 20px; /* LTR */
      }

      [dir='rtl'] dl dd,
      [dir='rtl'] dl dl {
        margin-right: 20px;
      }

      blockquote {
        margin: 1em 40px;
      }

      address {
        font-style: italic;
      }

      u,
      ins {
        text-decoration: none;
      }

      s,
      strike,
      del {
        text-decoration: line-through;
      }

      big {
        font-size: larger;
      }

      small {
        font-size: smaller;
      }

      sub {
        vertical-align: sub;
        font-size: smaller;
        line-height: normal;
      }

      sup {
        vertical-align: super;
        font-size: smaller;
        line-height: normal;
      }

      abbr,
      acronym {
        border-bottom: dotted 1px;
      }

      ul {
        margin: 0.25em 0 0.25em 1.5em; /* LTR */
        padding-left: 0;
        list-style-type: disc;
        list-style-image: none;
      }

      [dir='rtl'] ul {
        margin-right: 1.5em;
        margin-left: 0;
        padding-right: 0;
      }

      /* This is required to win over specificity of [dir="rtl"] ul */

      [dir='rtl'] .messages__list {
        margin-right: 0;
      }

      ol {
        margin: 0.25em 0 0.25em 2em; /* LTR */
        padding: 0;
        list-style-type: decimal;
      }

      [dir='rtl'] ol {
        margin-right: 2em;
        margin-left: 0;
      }

      /**
      * Fix duplicate border caused by normalize.css adding border-bottom without
      * removing the text-decoration.
      */

      abbr[title] {
        text-decoration: none;
      }

      code {
        margin: 0.5em 0;
      }

      pre {
        margin: 0.5em 0;
        white-space: pre-wrap;
      }

      details {
        line-height: 1.295em;
      }

      details summary {
        padding: 0.95em 1.45em;
      }

      details summary:focus {
        outline: none;
      }

      img {
        max-width: 100%;
        height: auto;
      }
    `}
  />
);
